﻿@using Athena.Feature.Metadata.Html
@using Athena.Foundation.Common
@using Athena.Foundation.React
@using Athena.Project.Website
@using Athena.Project.Website.Bundler
@using Sitecore.Mvc
@model Sitecore.Mvc.Presentation.RenderingModel
@{
    Layout = null;
}

<!DOCTYPE html>
<html lang="@Model.Item.Language.CultureInfo.TwoLetterISOLanguageName">

<head>
    <meta name="viewport" content="width=device-width, initial-scale=1.0, user-scalable=1">
    <meta http-equiv="content-type" content="text/html; charset=UTF-8" />
    <meta http-equiv="X-UA-Compatible" content="IE=edge" />

    @Html.RenderStructuredMetaData()
    <!--head-->
    @Html.Sitecore().Placeholder("head")
    <!--/head-->

    <script data-desc="Namespace object">
        var LV = { components: { data: [] } };
    </script>

    @*Enable Application insights client side tracking*@
    @if (AppSettings.Get("ApplicationInsights.ClientSideTrackingEnabled", false))
    {
        <script type="text/javascript">
            var appInsights=window.appInsights||function(a){
                function b(a){c[a]=function(){var b=arguments;c.queue.push(function(){c[a].apply(c,b)})}}var c={config:a},d=document,e=window;setTimeout(function(){var b=d.createElement("script");b.src=a.url||"https://az416426.vo.msecnd.net/scripts/a/ai.0.js",d.getElementsByTagName("script")[0].parentNode.appendChild(b)});try{c.cookie=d.cookie}catch(a){}c.queue=[];for(var f=["Event","Exception","Metric","PageView","Trace","Dependency"];f.length;)b("track"+f.pop());if(b("setAuthenticatedUserContext"),b("clearAuthenticatedUserContext"),b("startTrackEvent"),b("stopTrackEvent"),b("startTrackPage"),b("stopTrackPage"),b("flush"),!a.disableExceptionTracking){f="onerror",b("_"+f);var g=e[f];e[f]=function(a,b,d,e,h){var i=g&&g(a,b,d,e,h);return!0!==i&&c["_"+f](a,b,d,e,h),i}}return c
            }({
                instrumentationKey: "@AppSettings.Get(Constants.Settings.ApplicationInsightsKey)"
            });

            window.appInsights=appInsights,appInsights.queue&&0===appInsights.queue.length&&appInsights.trackPageView();
        </script>
    }
</head>
<body class="@Model.Item.Fields[Constants.PageProperties.Fields.BodyClass]">
    <div id="page">
        <!--script-top-->
        @Html.Sitecore().Placeholder("script-top")
        <!--/script-top-->
        <!--header-->
        @Html.Sitecore().Placeholder("header")
        <!--/header-->
        <!--header-banner-->
        @Html.Sitecore().Placeholder("header-banner")
        <!--/header-banner-->
        <!--main-->
        @Html.Sitecore().Placeholder("main")
        <!--/main-->
        <!--footer-content-->
        @Html.Sitecore().Placeholder("footer")
        <!--/footer-content-->
        <!--script-footer-->
        @Html.Sitecore().Placeholder("script-footer")
        <!--/script-footer-->
    </div>
</body>
</html>
